unit Comcfg;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, oomisc, jmmutil, sysUtils;

type
  TComCfgDlg = class(TForm)
    Panel1: TPanel;
    Comports: TRadioGroup;
    Panel2: TPanel;
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Memo2: TMemo;
    procedure FormActivate(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    NumPort : array[0..MaxComHandles] of integer;
  public
  end;

var
  ComCfgDlg: TComCfgDlg;

implementation

uses main;

{$R *.DFM}


procedure TComCfgDlg.FormActivate(Sender: TObject);
var j : integer;
begin
    ComPorts.items.clear;
    for j := 1 to MaxComHandles do
        if IsPortAvailable(j) then begin
           NumPort[ComPorts.items.count] := j;
           if j=FormMain.voieSerie.ComNumber then
              ComPorts.itemIndex := ComPorts.Items.count;
           ComPorts.Items.Add('COM'+IntToStr(j));
        end;
    if ComPorts.itemIndex<0 then ComPorts.itemIndex := 0;        
end;

procedure TComCfgDlg.OKBtnClick(Sender: TObject);
begin
     FormMain.voieSerie.ComNumber := NumPort[ComPorts.itemIndex]
end;

end.
